package javax.accessibility;

import javax.swing.text.AttributeSet;
import java.awt.Rectangle;
import java.awt.Point;

public interface AccessibleText
{
    public static final int CHARACTER = 1;
    public static final int WORD = 2;
    public static final int SENTENCE = 3;
    
    public abstract int getIndexAtPoint(Point p0);
    
    public abstract Rectangle getCharacterBounds(int p0);
    
    public abstract int getCharCount();
    
    public abstract int getCaretPosition();
    
    public abstract String getAtIndex(int p0, int p1);
    
    public abstract String getAfterIndex(int p0, int p1);
    
    public abstract String getBeforeIndex(int p0, int p1);
    
    public abstract AttributeSet getCharacterAttribute(int p0);
    
    public abstract int getSelectionStart();
    
    public abstract int getSelectionEnd();
    
    public abstract String getSelectedText();
}
